<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Migracao extends CI_Controller {
    
        private $chave = 'cmFjYW9hbWF6b25pYQ==';
        private $token = '5e02090928fda3c40bee0e5ff0b';
        private  $ip   = '35.196.200.227';

        public function index(){

            redirect(base_url().'migracao/migrar');
	}
        
        public function migrar(){

            if($_SERVER['REQUEST_METHOD'] != 'POST'){
                echo json_encode(array(
                    'status'    => 0,
                    'mensagem'  => 'Método de acesso invalido'
                    ));
                exit;
            }
            $data = json_decode(base64_decode($this->input->post('request')));

            if( $data->auth->ip === $this->ip and 
                $data->auth->chave === $this->chave and 
                $data->auth->token === $this->token){
                
                $this->load->model('Curso_m', 'C');
                $this->load->model('Alternativa_m', 'A');
                $this->load->model('Link_m', 'L');
                $this->load->model('Elabore_Model', 'EL');
                $array_curso = array();

                /*
                 * Extraindo os dados do curso
                 */
                $array_curso['id_usuario']              = 2;
                $array_curso['nome']                    = $data->curso->curso->nome;
                $array_curso['ementa']                  = $data->curso->curso->ementa;
                $array_curso['img']                     = $data->curso->curso->imagem;
                $array_curso['descricao']               = $data->curso->curso->descricao;
                $array_curso['carga_horaria']           = '70';
                $array_curso['valor_certificadoweb']    = '34.99';
                $array_curso['valor_certificadoimp']    = '41.99';
                $array_curso['liberado']                = 1;
                
                /*
                 * VErificando se ha curso do illesssonv2 na base do amazonia
                 * Tabela: curso_colaborador
                 */
                
                
                $curso_elabore = $this->EL->obtemidcursoilesson($data->curso->curso->id_curso);
                
                
                
                /*
                 * inserindo o curso
                 */
                $id_curso = $this->C->add_curso($array_curso);
                
                if(!empty($curso_elabore)){
                     $this->EL->atualizacolaborador($id_curso, $data->curso->curso->id_curso);
                }
                
                $array_link = array();
                /*
                 * Inserindo os links no amazonia
                 */
               
                for($i = 0; $i < count($data->cursos_link->links); $i++){
                    $array_link['id_curso']  = $id_curso;
                    $array_link['conteudo']  = $data->cursos_link->links[$i]->descricao;
                    $array_link['url']      = $data->cursos_link->links[$i]->url;
                    
                    $this->L->add_link($array_link);

   
                }
                
                
                $array_questao = array();
                /*
                 * Inserindo as alteranativas do exercicio
                 */
                foreach ($data->questoes as $questao){
                    $array_questao['id_curso']     = $id_curso;
                    $array_questao['descricao']    = $questao->descricao;
                    $array_questao['verdadeiro']   = $questao->resposta;
                    
                    $this->A->add_alternativa($array_questao);

                    
                }
                
                echo json_encode(array(
                    'status'    => 1,
                    'mensagem'  => 'Migração AMAZÔNIA concluida com sucesso!'
                    ));
                exit;
                
            }else{
                echo json_encode(array(
                    'status'    => 0,
                    'mensagem'  => 'Parâmetros de autenticação inválidos!'
                    ));
                exit;
            }        
            
            
            
	}
        
}
